/**
 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { Global } from '@jest/types';
import { HookFn } from './types';
declare type THook = (fn: HookFn, timeout?: number) => void;
declare const _default: {
    afterAll: THook;
    afterEach: THook;
    beforeAll: THook;
    beforeEach: THook;
    describe: {
        (blockName: string, blockFn: Global.BlockFn): void;
        each: (table: Global.EachTable, ...taggedTemplateData: unknown[]) => (title: string, test: Global.EachTestFn, timeout?: number | undefined) => void;
        only: {
            (blockName: string, blockFn: Global.BlockFn): void;
            each: (table: Global.EachTable, ...taggedTemplateData: unknown[]) => (title: string, test: Global.EachTestFn, timeout?: number | undefined) => void;
        };
        skip: {
            (blockName: string, blockFn: Global.BlockFn): void;
            each: (table: Global.EachTable, ...taggedTemplateData: unknown[]) => (title: string, test: Global.EachTestFn, timeout?: number | undefined) => void;
        };
    };
    it: Global.It;
    test: Global.It;
};
export = _default;
//# sourceMappingURL=index.d.ts.map