/**
 * Copyright (c) Facebook, Inc. and its affiliates. All Rights Reserved.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
import { AsyncFn, BlockMode, DescribeBlock, Hook, RunResult, TestEntry } from './types';
export declare const makeDescribe: (name: string, parent?: DescribeBlock | undefined, mode?: void | "skip" | "only" | "todo" | undefined) => DescribeBlock;
export declare const makeTest: (fn: import("@jest/types/build/Global").TestFn | undefined, mode: BlockMode, name: string, parent: DescribeBlock, timeout: number | undefined, asyncError: any) => TestEntry;
export declare const getAllHooksForDescribe: (describe: DescribeBlock) => {
    beforeAll: Hook[];
    afterAll: Hook[];
};
export declare const getEachHooksForTest: (test: TestEntry) => {
    beforeEach: Hook[];
    afterEach: Hook[];
};
export declare const describeBlockHasTests: (describe: DescribeBlock) => boolean;
export declare const callAsyncCircusFn: (fn: AsyncFn, testContext: Record<string, any> | undefined, { isHook, timeout }: {
    isHook?: boolean | null | undefined;
    timeout: number;
}) => Promise<any>;
export declare const getTestDuration: (test: TestEntry) => number | null;
export declare const makeRunResult: (describeBlock: DescribeBlock, unhandledErrors: Error[]) => RunResult;
export declare const getTestID: (test: TestEntry) => string;
export declare const addErrorToEachTestUnderDescribe: (describeBlock: DescribeBlock, error: any, asyncError: any) => void;
export declare const invariant: (condition: unknown, message?: string | undefined) => void;
//# sourceMappingURL=utils.d.ts.map